gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r12102 - gnunet/src/dht


From: gnunet
Subject: [GNUnet-SVN] r12102 - gnunet/src/dht
Date: Fri, 2 Jul 2010 14:04:30 +0200

Author: nevans
Date: 2010-07-02 14:04:30 +0200 (Fri, 02 Jul 2010)
New Revision: 12102

Modified:
   gnunet/src/dht/dht_api.c
   gnunet/src/dht/test_dht_tools.sh
Log:
remove retransmit

Modified: gnunet/src/dht/dht_api.c
===================================================================
--- gnunet/src/dht/dht_api.c    2010-07-02 11:44:44 UTC (rev 12101)
+++ gnunet/src/dht/dht_api.c    2010-07-02 12:04:30 UTC (rev 12102)
@@ -290,6 +290,7 @@
   *((uint64_t*)hash) = uid;
 }
 
+#if RETRANSMIT
 /**
  * Iterator callback to retransmit each outstanding request
  * because the connection to the DHT service went down (and
@@ -317,6 +318,7 @@
 
   return GNUNET_OK;
 }
+#endif
 
 /**
  * Try to (re)connect to the dht service.
@@ -571,6 +573,7 @@
         {
           finish(handle, GNUNET_SYSERR); /* If there was a current message, 
kill it! */
         }
+#if RETRANSMIT
       if (GNUNET_CONTAINER_multihashmap_iterate(handle->outstanding_requests, 
&retransmit_iterator, handle) > 0)
         {
           handle->retransmit_stage = DHT_RETRANSMITTING;
@@ -578,6 +581,7 @@
           process_pending_retransmissions(handle);
         }
       return;
+#endif
     }
 
   switch (ntohs (msg->type))

Modified: gnunet/src/dht/test_dht_tools.sh
===================================================================
--- gnunet/src/dht/test_dht_tools.sh    2010-07-02 11:44:44 UTC (rev 12101)
+++ gnunet/src/dht/test_dht_tools.sh    2010-07-02 12:04:30 UTC (rev 12102)
@@ -42,8 +42,8 @@
 sleep 1
 
 echo -n "TEST: Testing put..."
-#if ! valgrind --log-file=test_put.log $putexe -k testkey -d testdata > $out ; 
then
-if ! $putexe -k testkey -d testdata > $out ; then
+if ! valgrind --leak-check=full --log-file=test_put.log $putexe -k testkey -d 
testdata > $out ; then
+#if ! $putexe -k testkey -d testdata > $out ; then
   echo "FAIL: error running $putexe"
   echo "Command output was:"
   cat $out
@@ -57,8 +57,8 @@
 echo "Result 0, type 0:" > $checkout
 echo "testdata" >> $checkout
 
-#if ! valgrind --log-file=test_get.log $getexe -k testkey -T 1 > $out ; then
-if ! $getexe -k testkey -T 1 > $out ; then
+if ! valgrind --leak-check=full --log-file=test_get.log $getexe -k testkey -T 
1 > $out ; then
+#if ! $getexe -k testkey -T 1 > $out ; then
   echo "FAIL: error running $putexe"
   echo "Command output was:"
   cat $out




reply via email to

[Prev in Thread] Current Thread [Next in Thread]